All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class HierarchyModel

    com.sas.graphics.components.HierarchyModel

    @SASScope(value="ALL")
    public class HierarchyModel

## Usage

## Behavior

Since:
  SAS 9.2
See Also:
  `ModelBase`, `GanttChartModel`

Constructor Summary
`HierarchyModel()`

Method Summary
`void` | `apply(HierarchyModel theOtherObject)` Utility method to convey properties contained in "theOtherObject" to this object.
`void` | `clearTreeIconModel()` Clear all value icon definitions.
`boolean` | `equals(java.lang.Object obj)` Determines whether another object is equal to this `TableAxisModel`.
`TreeIconModel` | `getTreeIconModel()` Return the default icons that will be used when displaying hierarchical data in a treetable.
`TreeIconModel` | `getTreeIconModel(java.lang.Object key)` Get a TreeIconModel definition for a unique tree value.
`int` | `hashCode()` Computes the hash code for this `HierarchyModel`.
`boolean` | `isEnabled()` Returns whether to display the data in tree hierarchy form.
`java.util.Set` | `keySetTreeIconModel()` Retrieve key set for all value icon definitions.
`void` | `putTreeIconModel(java.lang.Object key, TreeIconModel treeIconModel)` Define value icons that will be used when displaying hierarchical data in a treetable.
`void` | `removeTreeIconModel(java.lang.Object key)` Remove a TreeIconModel definition.
`void` | `setEnabled(boolean newBoolean)` Sets whether the table is drawn with a tree to show the hierarchy relationship of the tasks.
`void` | `setTreeIconModel(TreeIconModel newTreeIconModel)` Define open icon that will be used when displaying hierarchical data in a treetable.

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### HierarchyModel

    public HierarchyModel()

Method Detail

### apply

    public void apply(HierarchyModel theOtherObject)

  Utility method to convey properties contained in "theOtherObject" to this object.

  Note: Contained "models" (i.e. properties that are subclasses of ModelBase) will in turn be called on to convey their properties to the like contained models in the other object. In that respect this can be considered a "tree" type copy.

  Also Note: This is a deep copy. Thus after the copy, mutable properties will not be shared by the two instances.

  Parameters:
    `theOtherObject` - properties applied to this instance

### setEnabled

    public void setEnabled(boolean newBoolean)

  Sets whether the table is drawn with a tree to show the hierarchy relationship of the tasks. A valid root must exist and a parent variable defined in the chart's TableDataModel.

  Parameters:
    `newBoolean` - used to determine if tree hierarchy is shown.
  See Also:
    `isEnabled()`

### isEnabled

    public boolean isEnabled()

  Returns whether to display the data in tree hierarchy form.

  Returns:
    boolean used to determine if the hierarchy is displayed.
  See Also:
    `setEnabled(boolean)`

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether another object is equal to this `TableAxisModel`.

  The result is `true` if and only if the argument is not `null` and is a `TableAxisModel` object that has the same property values as this object.

  Overrides:
    `equals` in class `ModelBase`
  Parameters:
    `obj` - the object to test for equality with this `TableAxisModel`
  Returns:
    `true` if the objects are the same; `false` otherwise.

### setTreeIconModel

    public void setTreeIconModel(TreeIconModel newTreeIconModel)

  Define open icon that will be used when displaying hierarchical data in a treetable. This is used only if no valid "Value" icons have been set. "Value" icons can be set using one of the two putTreeValue* methods {putTreeValueIcon, putTreeValueOpenIcon} with putTreeValueIcon having highest precedence.

  Parameters:
    `newTreeIconModel` - to be displayed for the default open, closed, tree node.
  See Also:
    `getTreeIconModel()`

### getTreeIconModel

    public TreeIconModel getTreeIconModel()

  Return the default icons that will be used when displaying hierarchical data in a treetable.

  See Also:
    `setTreeIconModel(com.sas.graphics.components.TreeIconModel)`

### putTreeIconModel

    public void putTreeIconModel(java.lang.Object key,
                                 TreeIconModel treeIconModel)

  Define value icons that will be used when displaying hierarchical data in a treetable. The value in the tree portion of the treetable is used for the key to match the icon with the value in the tree.

  Parameters:
    `key` - unique tree value.
    `treeIconModel` - icon to be displayed per unique tree value.

  See Also:
    `getTreeIconModel(Object)`, `removeTreeIconModel(Object)`, `clearTreeIconModel()`, `keySetTreeIconModel()`

### getTreeIconModel

    public TreeIconModel getTreeIconModel(java.lang.Object key)

  Get a TreeIconModel definition for a unique tree value.

  Parameters:
    `key` - unique tree value.

  See Also:
    `putTreeIconModel(Object,TreeIconModel)`, `removeTreeIconModel(Object)`, `clearTreeIconModel()`, `keySetTreeIconModel()`

### removeTreeIconModel

    public void removeTreeIconModel(java.lang.Object key)

  Remove a TreeIconModel definition.

  Parameters:
    `key` - unique tree value.

  See Also:
    `putTreeIconModel(Object,TreeIconModel)`, `getTreeIconModel(Object)`, `clearTreeIconModel()`, `keySetTreeIconModel()`

### clearTreeIconModel

    public void clearTreeIconModel()

  Clear all value icon definitions.

  See Also:
    `putTreeIconModel(Object,TreeIconModel)`, `getTreeIconModel(Object)`, `removeTreeIconModel(Object)`, `keySetTreeIconModel()`

### keySetTreeIconModel

    public java.util.Set keySetTreeIconModel()

  Retrieve key set for all value icon definitions.

  See Also:
    `putTreeIconModel(Object,TreeIconModel)`, `getTreeIconModel(Object)`, `removeTreeIconModel(Object)`, `clearTreeIconModel()`

### hashCode

    public int hashCode()

  Computes the hash code for this `HierarchyModel`.

  Overrides:
    `hashCode` in class `ModelBase`
  Returns:
    a hash code value for this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.